#include "app_inc.h"     

//===========================================================================
//任务名称：task_main
//功能概要：MQX自启动任务，主要实现全局变量初始化、创建其他任务、安装用户ISR
//参数说明：未使用
//===========================================================================
void task_main(uint32_t initial_data)
{
    //1.全局变量初始化
    _lwevent_create(&lwevent_group1,0);  //创建轻量级事件组
    g_UART_FrameCount=0;                 //接收的帧数

    //2.外设初始化
    light_init(Light_D1,LIGHT_OFF);      //灯1初始化
    light_init(Light_D2,LIGHT_OFF);      //灯2初始化
    fopen("ittye:",IO_SERIAL_RAW_IO);   //以中断方式打开串口4（ittye）
    
    //3.创建其他任务
    _task_create(0, TASK_A, 0);          //创建run_A任务
    _task_create(0, TASK_B, 0);          //创建run_B任务
    _task_create(0, TASK_C, 0);          //创建run_C任务
    
    //4.安装用户ISR
    _int_install_isr(INT_UART4_RX_TX, UART4_RX_ISR,NULL); //串口4的ISR
         
    //------------执行完毕，本任务进入阻塞态-----------------------------------
    _task_block();                    
}
